#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  gst-plugins-bad-1.28.2

- Next

  gst-plugins-rs-1.28.2

- Up
- Home

# gst-plugins-ugly-1.28.2

## Introduction to GStreamer Ugly Plug-ins

The GStreamer Ugly Plug-ins is a set of plug-ins considered by the GStreamer developers to have good quality and correct functionality, but distributing them might pose problems. The license on either the plug-ins or the supporting libraries might not be how the GStreamer developers would like. The code might be widely known to present patent problems.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://gstreamer.freedesktop.org/src/gst-plugins-ugly/gst-plugins-ugly-1.28.2.tar.xz

- Download MD5 sum: 2d8a63371bd1a87b712e0aaaca417f7d

- Download size: 228 KB

- Estimated disk space required: 6.9 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

### GStreamer Ugly Plug-ins Dependencies

#### Required

gst-plugins-base-1.28.2

#### Recommended

liba52-0.8.0 (needed to play DVD's), libdvdread-7.0.1, and x264-20250815

#### Optional

libmpeg2-0.5.1, libcdio-2.1.0 (for CD-ROM drive access), Valgrind-3.26.0, hotdoc, libsidplay, and Orc

## Installation of GStreamer Ugly Plug-ins

### Note

If you need a plugin for a given dependency, that dependency needs to be installed before this package.

Install GStreamer Ugly Plug-ins by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..            \
          --prefix=/usr       \
          --buildtype=release \
          -D gpl=enabled      &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D gpl=enabled`: Without this switch, plugins with dependencies on (A)GPL licensed libraries are not built.

## Contents

Installed Programs: None
Installed Libraries: Several plugins under /usr/lib/gstreamer-1.0
Installed Directories: None

- Prev

  gst-plugins-bad-1.28.2

- Next

  gst-plugins-rs-1.28.2

- Up
- Home